#ifndef _CONFIG_H
	#define _CONFIG_H
	//Baudrate der seriellen Schnittstelle
	//#define BAUDRATE 9600

	//Eingnge und Ausgnge definieren
	//#define KEY_PORT_0	PORTA
	//#define KEY_PORT_1	PORTD
	//#define KEY_DDR_0	DDRA
	//#define KEY_DDR_1	DDRD
	//#define KEY_PIN_0	PINA
	//#define KEY_PIN_1	PIND
	
	#define S_CH_00		PA1
	#define S_CH_01		PA2
	#define S_CH_02		PA3
	#define S_CH_03		PA4
	#define S_CH_04		PA5
	#define S_CH_05		PA6
	#define S_CH_06		PA7
	#define S_CH_07		PD7
	
	#define O_CH_00		PC2
	#define O_CH_01		PC3
	#define O_CH_02		PC4
	#define O_CH_03		PC5
	#define O_CH_04		PC6
	#define O_CH_05		PC7
	#define O_CH_06		PB0
	#define O_CH_07		PB1
	
	#define O_LED_00	PB2
	#define O_LED_01	PB3
	#define O_LED_02	PD6
	
	#define PWM_PORT	PORTD
	#define PWM_DDR		DDRD
	#define PWM_PIN		PD5

	//Counter fr Tastenentprellung
	#define max_count 5

	//Debugausgabe aktivieren
	#define	DEBUG_ON 0
	
	//I2C-Bitrate einstellen (100kHz)
	#define I2C_BITRATE 100000

	//I2C-Slave-Adresse festlegen
	#define I2C_SLAVE_ADRESS 15
	
	//Analog-Digital-Wandler Kalibrierung 
	//gemessene Vcc / 1024
	#define ADC_CALIBRATION 4883
	
	//Softreset
	#define RESET() {asm("ldi r30,0"); asm("ldi r31,0"); asm("ijmp");}
	
#endif //_CONFIG_H
