#include "rs232.h"

void uart_init(void)
{
	UCSRB |= (1<<TXEN);                 //TXEN (senden) einschalten
	UCSRC |= (1<<URSEL ) | (3<<UCSZ0);  //Asynchron 8N1
	UBRRH = 0;                          //Baudrate 9600, 0 bei 16MHz
	UBRRL = 103;                        //Baudrate 9600, 103 bei 16MHz
}

void uart_puts(char *s)                //Funktion Zeichenkette zerlegen
{
	while(*s)                          //Schleife bis Zeichenende erreicht
	{
		uart_putc(*s);                  //jedes einzelne Zeichen bergeben
		s++;                            //nchstes Zeichen
	}
}

void uart_putc(unsigned char c)       //Funktion Zeichen senden
{
	while (!(UCSRA & (1 << UDRE)))     //warten bis UART bereit
	{
	}
	UDR = c;                            //Senden
}
